Subject: Re: linux-next: manual merge of the notifications tree with Linus' tree

From: Stephen Rothwell <[email-masked]>
Date: Wed, 21 Oct 2020 18:06:36 +1100

Hi all,

On Wed, 21 Oct 2020 18:02:55 +1100 Stephen Rothwell <[email-masked]> wrote:
>
> Hi all,
> 
> On Wed, 21 Oct 2020 12:47:33 +1100 Stephen Rothwell <[email-masked]> wrote:
> >
> > diff --cc include/uapi/asm-generic/unistd.h
> > index 2056318988f7,fcdca8c7d30a..000000000000
> > --- a/include/uapi/asm-generic/unistd.h
> > +++ b/include/uapi/asm-generic/unistd.h
> > @@@ -857,8 -857,8 +857,10 @@@ __SYSCALL(__NR_openat2, sys_openat2
> >   __SYSCALL(__NR_pidfd_getfd, sys_pidfd_getfd)
> >   #define __NR_faccessat2 439
> >   __SYSCALL(__NR_faccessat2, sys_faccessat2)
> >  -#define __NR_watch_mount 440
> >  +#define __NR_process_madvise 440
> >  +__SYSCALL(__NR_process_madvise, sys_process_madvise)
> > ++#define __NR_watch_mount 441
> > + __SYSCALL(__NR_watch_mount, sys_watch_mount)
> >   
> >   #undef __NR_syscalls
> >   #define __NR_syscalls 441  
> 
> I missed updating __NR_syscalls to 442 which I will in tomorrow's merge
> resolution.

I presume I need to update __NR_compat_syscalls in
arch/arm64/include/asm/unistd.h as well :-(

I really don't like conflicts between new syscalls :-(
-- 
Cheers,
Stephen Rothwell